function [y,minimum]=konto(k,T,lambda,m,s,a,b)
%Mozliwe wywolania:
%5-argumentowe: konto(kapital_poczatkowy,ile_godzin,lambda,m,sigma)
%7-argumentowe: konto(kapital_poczatkowy,ile_godzin,lambda,m,sigma,a,b) lambda nie gra tutaj roli!
t=0;
i=1;
w=k;
if nargin==5
    while t<T        
        t(i+1)=t(i)+exprnd(lambda);
        w(i+1)=s*randn(1,1)+m;
        k(i+1)=k(i)+w(i+1);
        i=i+1;
    end;
elseif nargin==7
    while t<T
        lambda=gamrnd(a,b);
        t(i+1)=t(i)+exprnd(lambda);
        w(i+1)=s*randn(1,1)+m;
        k(i+1)=k(i)+w(i+1);
        i=i+1;  
    end;
else
    error('Bledna liczba argumentow!');
end;
y=k(end);
minimum=min(k);
hold on
stairs(t(1:end-1),k(1:end-1),'k');
plot([0, T+1],[0, 0],'r');
hold off
figure
hold on
for k=1:length(w)-1
    if w(k)>0
        h=stem(t(k),w(k),'filled','-^k','LineWidth',1,'MarkerSize',6);  
    else
        h=stem(t(k),w(k),'filled','-vk','LineWidth',1,'MarkerSize',6);  
    end;  
end;
set(get(h,'BaseLine'),'LineStyle','-')
hold off